// Code generated by client-gen. DO NOT EDIT.

package fake

import (
	v1alpha2 "github.com/kyma-project/kyma/components/application-registry/pkg/apis/istio/v1alpha2"
	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	labels "k8s.io/apimachinery/pkg/labels"
	schema "k8s.io/apimachinery/pkg/runtime/schema"
	types "k8s.io/apimachinery/pkg/types"
	watch "k8s.io/apimachinery/pkg/watch"
	testing "k8s.io/client-go/testing"
)

// FakeDeniers implements DenierInterface
type FakeDeniers struct {
	Fake *FakeIstioV1alpha2
	ns   string
}

var deniersResource = schema.GroupVersionResource{Group: "istio", Version: "v1alpha2", Resource: "deniers"}

var deniersKind = schema.GroupVersionKind{Group: "istio", Version: "v1alpha2", Kind: "Denier"}

// Get takes name of the denier, and returns the corresponding denier object, and an error if there is any.
func (c *FakeDeniers) Get(name string, options v1.GetOptions) (result *v1alpha2.Denier, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewGetAction(deniersResource, c.ns, name), &v1alpha2.Denier{})

	if obj == nil {
		return nil, err
	}
	return obj.(*v1alpha2.Denier), err
}

// List takes label and field selectors, and returns the list of Deniers that match those selectors.
func (c *FakeDeniers) List(opts v1.ListOptions) (result *v1alpha2.DenierList, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewListAction(deniersResource, deniersKind, c.ns, opts), &v1alpha2.DenierList{})

	if obj == nil {
		return nil, err
	}

	label, _, _ := testing.ExtractFromListOptions(opts)
	if label == nil {
		label = labels.Everything()
	}
	list := &v1alpha2.DenierList{}
	for _, item := range obj.(*v1alpha2.DenierList).Items {
		if label.Matches(labels.Set(item.Labels)) {
			list.Items = append(list.Items, item)
		}
	}
	return list, err
}

// Watch returns a watch.Interface that watches the requested deniers.
func (c *FakeDeniers) Watch(opts v1.ListOptions) (watch.Interface, error) {
	return c.Fake.
		InvokesWatch(testing.NewWatchAction(deniersResource, c.ns, opts))

}

// Create takes the representation of a denier and creates it.  Returns the server's representation of the denier, and an error, if there is any.
func (c *FakeDeniers) Create(denier *v1alpha2.Denier) (result *v1alpha2.Denier, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewCreateAction(deniersResource, c.ns, denier), &v1alpha2.Denier{})

	if obj == nil {
		return nil, err
	}
	return obj.(*v1alpha2.Denier), err
}

// Update takes the representation of a denier and updates it. Returns the server's representation of the denier, and an error, if there is any.
func (c *FakeDeniers) Update(denier *v1alpha2.Denier) (result *v1alpha2.Denier, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewUpdateAction(deniersResource, c.ns, denier), &v1alpha2.Denier{})

	if obj == nil {
		return nil, err
	}
	return obj.(*v1alpha2.Denier), err
}

// Delete takes name of the denier and deletes it. Returns an error if one occurs.
func (c *FakeDeniers) Delete(name string, options *v1.DeleteOptions) error {
	_, err := c.Fake.
		Invokes(testing.NewDeleteAction(deniersResource, c.ns, name), &v1alpha2.Denier{})

	return err
}

// DeleteCollection deletes a collection of objects.
func (c *FakeDeniers) DeleteCollection(options *v1.DeleteOptions, listOptions v1.ListOptions) error {
	action := testing.NewDeleteCollectionAction(deniersResource, c.ns, listOptions)

	_, err := c.Fake.Invokes(action, &v1alpha2.DenierList{})
	return err
}

// Patch applies the patch and returns the patched denier.
func (c *FakeDeniers) Patch(name string, pt types.PatchType, data []byte, subresources ...string) (result *v1alpha2.Denier, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewPatchSubresourceAction(deniersResource, c.ns, name, data, subresources...), &v1alpha2.Denier{})

	if obj == nil {
		return nil, err
	}
	return obj.(*v1alpha2.Denier), err
}
