// Code generated by client-gen. DO NOT EDIT.

package v1alpha1

import (
	v1alpha1 "github.com/kyma-project/kyma/components/installer/pkg/apis/installer/v1alpha1"
	scheme "github.com/kyma-project/kyma/components/installer/pkg/client/clientset/versioned/scheme"
	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	types "k8s.io/apimachinery/pkg/types"
	watch "k8s.io/apimachinery/pkg/watch"
	rest "k8s.io/client-go/rest"
)

// InstallationsGetter has a method to return a InstallationInterface.
// A group's client should implement this interface.
type InstallationsGetter interface {
	Installations(namespace string) InstallationInterface
}

// InstallationInterface has methods to work with Installation resources.
type InstallationInterface interface {
	Create(*v1alpha1.Installation) (*v1alpha1.Installation, error)
	Update(*v1alpha1.Installation) (*v1alpha1.Installation, error)
	Delete(name string, options *v1.DeleteOptions) error
	DeleteCollection(options *v1.DeleteOptions, listOptions v1.ListOptions) error
	Get(name string, options v1.GetOptions) (*v1alpha1.Installation, error)
	List(opts v1.ListOptions) (*v1alpha1.InstallationList, error)
	Watch(opts v1.ListOptions) (watch.Interface, error)
	Patch(name string, pt types.PatchType, data []byte, subresources ...string) (result *v1alpha1.Installation, err error)
	InstallationExpansion
}

// installations implements InstallationInterface
type installations struct {
	client rest.Interface
	ns     string
}

// newInstallations returns a Installations
func newInstallations(c *InstallerV1alpha1Client, namespace string) *installations {
	return &installations{
		client: c.RESTClient(),
		ns:     namespace,
	}
}

// Get takes name of the installation, and returns the corresponding installation object, and an error if there is any.
func (c *installations) Get(name string, options v1.GetOptions) (result *v1alpha1.Installation, err error) {
	result = &v1alpha1.Installation{}
	err = c.client.Get().
		Namespace(c.ns).
		Resource("installations").
		Name(name).
		VersionedParams(&options, scheme.ParameterCodec).
		Do().
		Into(result)
	return
}

// List takes label and field selectors, and returns the list of Installations that match those selectors.
func (c *installations) List(opts v1.ListOptions) (result *v1alpha1.InstallationList, err error) {
	result = &v1alpha1.InstallationList{}
	err = c.client.Get().
		Namespace(c.ns).
		Resource("installations").
		VersionedParams(&opts, scheme.ParameterCodec).
		Do().
		Into(result)
	return
}

// Watch returns a watch.Interface that watches the requested installations.
func (c *installations) Watch(opts v1.ListOptions) (watch.Interface, error) {
	opts.Watch = true
	return c.client.Get().
		Namespace(c.ns).
		Resource("installations").
		VersionedParams(&opts, scheme.ParameterCodec).
		Watch()
}

// Create takes the representation of a installation and creates it.  Returns the server's representation of the installation, and an error, if there is any.
func (c *installations) Create(installation *v1alpha1.Installation) (result *v1alpha1.Installation, err error) {
	result = &v1alpha1.Installation{}
	err = c.client.Post().
		Namespace(c.ns).
		Resource("installations").
		Body(installation).
		Do().
		Into(result)
	return
}

// Update takes the representation of a installation and updates it. Returns the server's representation of the installation, and an error, if there is any.
func (c *installations) Update(installation *v1alpha1.Installation) (result *v1alpha1.Installation, err error) {
	result = &v1alpha1.Installation{}
	err = c.client.Put().
		Namespace(c.ns).
		Resource("installations").
		Name(installation.Name).
		Body(installation).
		Do().
		Into(result)
	return
}

// Delete takes name of the installation and deletes it. Returns an error if one occurs.
func (c *installations) Delete(name string, options *v1.DeleteOptions) error {
	return c.client.Delete().
		Namespace(c.ns).
		Resource("installations").
		Name(name).
		Body(options).
		Do().
		Error()
}

// DeleteCollection deletes a collection of objects.
func (c *installations) DeleteCollection(options *v1.DeleteOptions, listOptions v1.ListOptions) error {
	return c.client.Delete().
		Namespace(c.ns).
		Resource("installations").
		VersionedParams(&listOptions, scheme.ParameterCodec).
		Body(options).
		Do().
		Error()
}

// Patch applies the patch and returns the patched installation.
func (c *installations) Patch(name string, pt types.PatchType, data []byte, subresources ...string) (result *v1alpha1.Installation, err error) {
	result = &v1alpha1.Installation{}
	err = c.client.Patch(pt).
		Namespace(c.ns).
		Resource("installations").
		SubResource(subresources...).
		Name(name).
		Body(data).
		Do().
		Into(result)
	return
}
